---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: worker
  namespace: system-log
spec:
  template:
    spec:
      containers:
      - name: worker
        image: cr.yandex/crp3ccidau046kdj8g9q/system_log_worker:c32c2f279673d1b5baa872b9d27872b0f3cc71cf
        env:
        - name: APP_NAME
          value: system_log
        - name: APP_VERSION
          value: 0.0.1
        - name: LOG_LEVEL
          value: INFO
        - name: HTTP_HOST
          value: 0.0.0.0
        - name: HTTP_PORT
          value: '8000'
        - name: NAMESPACE
          value: sarex-system-log
        - name: DOCUMENTATIONS_URL
          value: http://documentations-service.documentations.svc.cluster.local:8080
        - name: POSTGRES_ADDRESS
          value: postgres-service
        - name: POSTGRES_PORT
          value: '5432'
        - name: POSTGRES_DB
          value: system_log
        - name: POSTGRES_POOL_SIZE
          value: '3'
        - name: ENABLE_SSL
          value: '0'
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
